org.apache.ignite.internal.processors.odbc

## Class OdbcQueryFetchRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.OdbcRequest
  - - org.apache.ignite.internal.processors.odbc.OdbcQueryFetchRequest

    public class OdbcQueryFetchRequest
    extends OdbcRequest

ODBC query fetch request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.OdbcRequest

`CLOSE_SQL_QUERY, EXECUTE_SQL_QUERY, FETCH_SQL_QUERY, GET_COLUMNS_META, GET_TABLES_META, HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryFetchRequest(long queryId, int pageSize)`

### Method Summary

Methods
`int` `pageSize()`
`long` `queryId()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.OdbcRequest

`command`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcQueryFetchRequest

    public OdbcQueryFetchRequest(long queryId,
                         int pageSize)

Parameters:
  `queryId` - Query ID.
  `pageSize` - Page size.

### Method Detail

#### pageSize

    public int pageSize()

Returns:
  Page size.

#### queryId

    public long queryId()

Returns:
  Query ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016